<?php
defined('_JEXEC') or die ('Restricted access');

require_once dirname(__FILE__) . '/../kernel/class.AriKernel.php';

define('_J3_CLASS_FILTER', 'j3');
define('_J4_CLASS_FILTER', 'j4');

JFormHelper::loadFieldClass('list');

class JFormFieldJfilterlist extends JFormFieldList
{
	protected $type = 'Jfilterlist';

    protected function getOptions()
    {
        $options = parent::getOptions();

        $filteredOptions = array();

        foreach ($options as $option) {
            $cssClass = $option->class;

            if (empty($cssClass) || ($cssClass === _J3_CLASS_FILTER && !J4) || ($cssClass === _J4_CLASS_FILTER && J4)) {
                $filteredOptions[] = $option;
            }
        }

        return $filteredOptions;
    }
}
